Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceSessionService

    @MTOM
    public interface VoiceSessionService

Сервис для доступа и работы с сессиями аккаунта модуля Voice.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `sessionFinish​(long sessionId)` | Принудительное завершение соединения.
  `Result<VoiceSession>` | `voiceSessionContractList​(VoiceSessionFilter filter, Page page)` | Получение отфильтрованного списка текущих сессий аккаунта
  `javax.activation.DataHandler` | `voiceSessionContractLogExport​(VoiceSessionFilter filter, java.lang.String format, Page page)` |
  `void` | `voiceSessionDetailEmail​(VoiceSessionFilter filter, java.util.List<java.lang.String> emails)` |
  `javax.activation.DataHandler` | `voiceSessionDetailExport​(VoiceSessionFilter filter, java.lang.String format)` |
  `Result<SessionDetail<SessionDetail<SessionDetailReportItem>>>` | `voiceSessionDetailReport​(VoiceSessionFilter filter, Page page)` |
  `void` | `voiceSessionEmail​(VoiceSessionFilter filter, java.util.List<java.lang.String> emails, Page page)` |
  `Result<VoiceSession>` | `voiceSessionList​(VoiceSessionFilter filter, Page page)` |
  `Result<VoiceSession>` | `voiceSessionLogContractList​(VoiceSessionFilter filter, Page page)` | Получение отфильтрованного списка заверешенных сессий аккаунта
  `Result<VoiceSession>` | `voiceSessionLogList​(VoiceSessionFilter filter, Page page)` |
  `java.util.List<SessionAccountReportItem>` | `voiceSessionReportGroupByAccount​(VoiceSessionFilter filter)` |
  `java.util.List<SessionDestinationReportItem>` | `voiceSessionReportGroupByAccountAndDestination​(VoiceSessionFilter filter)` |
  `java.util.List<SessionServiceReportItem>` | `voiceSessionReportGroupByAccountAndService​(VoiceSessionFilter filter)` |

- ## Method Details

  - ### voiceSessionContractList

    Result<VoiceSession> voiceSessionContractList​(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение отфильтрованного списка текущих сессий аккаунта
    Parameters:
      `filter` - фильтр
      `page` - параметры страницы, которую нужно отобразить
    Returns:
      список сессий
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionLogContractList

    Result<VoiceSession> voiceSessionLogContractList​(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение отфильтрованного списка заверешенных сессий аккаунта
    Parameters:
      `filter` - фильтр
      `page` - параметры страницы, которую нужно отобразить
    Returns:
      список сессий
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionLogList

    Result<VoiceSession> voiceSessionLogList​(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionList

    Result<VoiceSession> voiceSessionList​(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### sessionFinish

    void sessionFinish​(long sessionId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Принудительное завершение соединения.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionReportGroupByAccount

    java.util.List<SessionAccountReportItem> voiceSessionReportGroupByAccount​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionReportGroupByAccountAndDestination

    java.util.List<SessionDestinationReportItem> voiceSessionReportGroupByAccountAndDestination​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionReportGroupByAccountAndService

    java.util.List<SessionServiceReportItem> voiceSessionReportGroupByAccountAndService​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionContractLogExport

    javax.activation.DataHandler voiceSessionContractLogExport​(VoiceSessionFilter filter, java.lang.String format, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionDetailReport

    Result<SessionDetail<SessionDetail<SessionDetailReportItem>>> voiceSessionDetailReport​(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionDetailExport

    javax.activation.DataHandler voiceSessionDetailExport​(VoiceSessionFilter filter, java.lang.String format) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionDetailEmail

    void voiceSessionDetailEmail​(VoiceSessionFilter filter, java.util.List<java.lang.String> emails) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionEmail

    void voiceSessionEmail​(VoiceSessionFilter filter, java.util.List<java.lang.String> emails, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`